Subject: bug#14567: Scrolling of large images

From: Thomas Wiecki <[email-masked]>
Date: Sat, 8 Jun 2013 17:39:27 -0400

OK, it must have been something in my config file. If I launch emacs -Q I
can't reproduce the behavior and scrolling seems to work just fine (any
idea? Could be any package I suppose..). I can't really reproduce the
line-move error either in this mode. It does show up occasionally but I
haven't figured out how to explicitly trigger it thus far.

What I have figured out however, is that scrolling using page up/down still
produces funky behavior. To reproduce set cursor at end of buffer, press
page-up, buffer jumps to beginning rather than scrolling over image. Press
page-down several times, cursor gets stuck after first page-down scroll.

On Sat, Jun 8, 2013 at 2:44 PM, Eli Zaretskii <[email-masked]> wrote:

> > From: Thomas Wiecki <[email-masked]>
> > Date: Sat, 8 Jun 2013 13:51:33 -0400
> > Cc: [email-masked]
> >
> > OK, I got the patch to apply, compiled and installed.
> >
> > Unfortunately, I still get the scrolling behavior on the test case I
> > provided. In addition I now often see
> > "line-move: Wrong type argument: number-or-marker-p, nil" when wanting to
> > scroll around from certain positions.
> >
> > Any ideas on what I might be doing wrong?
>
> Did you make sure simple.el is byte-compiled and Emacs is re-dumped
> afterwards?
>
> If you made a full build, then please give a precise recipe for
> reproducing these error messages, and I will look into it.
>